GoldRush SDK
import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.NftService.getNftsForAddress("eth-mainnet", "demo.eth");
console.log(resp.data);
};
ApiServices();curl --request GET \
--url https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"address": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"chain_tip_height": 123,
"chain_tip_signed_at": "2023-11-07T05:31:56Z",
"items": [
{
"contract_name": "<string>",
"contract_ticker_symbol": "<string>",
"contract_address": "<string>",
"supports_erc": [
"<string>"
],
"is_spam": true,
"last_transfered_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"balance": "<string>",
"balance_24h": "<string>",
"type": "<string>",
"floor_price_quote": 123,
"pretty_floor_price_quote": "<string>",
"floor_price_native_quote": 123,
"nft_data": [
{
"token_id": "<string>",
"token_url": "<string>",
"original_owner": "<string>",
"current_owner": "<string>",
"external_data": {
"name": "<string>",
"description": "<string>",
"asset_url": "<string>",
"asset_file_extension": "<string>",
"asset_mime_type": "<string>",
"asset_size_bytes": "<string>",
"image": "<string>",
"image_256": "<string>",
"image_512": "<string>",
"image_1024": "<string>",
"animation_url": "<string>",
"external_url": "<string>",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
],
"thumbnails": {
"image_256": "<string>",
"image_512": "<string>",
"image_1024": "<string>",
"image_opengraph_url": "<string>",
"thumbhash": "<string>"
},
"image_preview": "<string>",
"asset_properties": {
"asset_width": 123,
"asset_height": 123,
"dominant_color": "<string>"
}
},
"asset_cached": true,
"image_cached": true
}
]
}
]
}NFT
NFT Wallet API
Returns the NFTs (including ERC721 and ERC1155) held by an address.
GET
/
v1
/
{chainName}
/
address
/
{walletAddress}
/
balances_nft
/
GoldRush SDK
import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.NftService.getNftsForAddress("eth-mainnet", "demo.eth");
console.log(resp.data);
};
ApiServices();curl --request GET \
--url https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.covalenthq.com/v1/{chainName}/address/{walletAddress}/balances_nft/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"address": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"chain_tip_height": 123,
"chain_tip_signed_at": "2023-11-07T05:31:56Z",
"items": [
{
"contract_name": "<string>",
"contract_ticker_symbol": "<string>",
"contract_address": "<string>",
"supports_erc": [
"<string>"
],
"is_spam": true,
"last_transfered_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"balance": "<string>",
"balance_24h": "<string>",
"type": "<string>",
"floor_price_quote": 123,
"pretty_floor_price_quote": "<string>",
"floor_price_native_quote": 123,
"nft_data": [
{
"token_id": "<string>",
"token_url": "<string>",
"original_owner": "<string>",
"current_owner": "<string>",
"external_data": {
"name": "<string>",
"description": "<string>",
"asset_url": "<string>",
"asset_file_extension": "<string>",
"asset_mime_type": "<string>",
"asset_size_bytes": "<string>",
"image": "<string>",
"image_256": "<string>",
"image_512": "<string>",
"image_1024": "<string>",
"animation_url": "<string>",
"external_url": "<string>",
"attributes": [
{
"trait_type": "<string>",
"value": "<string>"
}
],
"thumbnails": {
"image_256": "<string>",
"image_512": "<string>",
"image_1024": "<string>",
"image_opengraph_url": "<string>",
"thumbhash": "<string>"
},
"image_preview": "<string>",
"asset_properties": {
"asset_width": 123,
"asset_height": 123,
"dominant_color": "<string>"
}
},
"asset_cached": true,
"image_cached": true
}
]
}
]
}Credit Cost
1 per call
Processing
Realtime
Estimate your monthly cost for this API using the Pricing Calculator.
Authorizations
Path Parameters
Query Parameters
Response
200 - application/json
Successful response